<img src="https://docs.rke2.io/assets/logo-horizontal-rke.svg" height="200"> 

# Projekt

To jest testowy klaster [rke2](https://github.com/rancher/rke2) kubernetes.

# Uruchomienie

## Wymagania

- libvirt
- nfs

## Konfiguracja

Konfiguracja `/etc/hosts`: 

```
10.11.0.101 server.rke2.test
10.11.0.201 example-app.rke2.test
```

Instalacja vagrant plugins:

```bash
vagrant plugin install vagrant-libvirt
vagrant plugin install vagrant-hosts
```

## Uruchomienie

Uruchomienie środowiska:

```bash
make up
```

## Kubernetes API

Dostęp do API kubernetesa:

    https://server.rke2.test:6443

Aby się podłączyć do api, potrzebujemy certyfikatów, wszystkie są wygenerowane i dostępne w katalogu `./tmp`

Przykład zapytania dla [httpie](https://httpie.io):

```bash
http \
    --verify tmp/default-ca-crt.pem \
    --cert tmp/default-crt.pem \
    --cert-key tmp/default-key.pem \
    https://server.rke2.test:6443
```

Przykład zapytania dla `curl`:

```bash
curl \
    --cacert tmp/default-ca-crt.pem \
    --cert tmp/default-crt.pem \
    --key tmp/default-key.pem \
    https://server.rke2.test:6443
```

## K9s Dashboard

[K9s](https://github.com/derailed/k9s) to bardzo wygodny dashboard w CLI, aby go uruchomić:

```bash
make server
sudo su -
k9s
```
